Package Gnumed :: Package business :: Module gmPracSoftAU |
[frames] | no frames]

# Module gmPracSoftAU

source code

GNUmed to PracSoft(tm) AU connector classes.

The Australian PracSoft package writes patient data to a file called PATIENTS.IN whenever patient data is added or edited.

This file has a de-facto format with one patient per line. The line format has been derived empirically with no knowledge of PracSoft internals whatsoever. The content is "ASCII" text of fixed width fields.

This implementation is in the sole responsibility of the authors.

Version: $Revision: 1.2 $

Author: K.Hilbert <Karsten.Hilbert@gmx.net>

License: GPL

Functions
read_persons_from_pracsoft_file(filename=None, encoding='ascii') | source code

Variables
| PATIENTS_IN_line_len = `223`
| PATIENTS_IN_dob_format = `'%d/%m/%Y'`

Imports: sys, codecs, time, pyDT, gmTools, gmDateTime, gmPerson